Creates a new db_info_data_company object
Request Information
URI Parameters :
None.
Body Parameters :
db_info_data_company| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
Foreign key of the object using his Odyssee Guid Primary Key |
globally unique identifier |
Optionally required : company_id or company_code must be provided |
| company_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : company_id or company_code must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "eca5749c-b55f-4bba-afd1-58ff0740b29d",
"company_id": "cc83abfe-281c-4317-8a50-b1ed89b40c69",
"company_code": "sample string 3",
"db_info_field_id": "d5b8e53d-7353-447b-82af-c283123867fc",
"db_info_field_name": "sample string 5",
"value": "sample string 6",
"reference_back_office": "sample string 7",
"sys_logical_delete": true,
"modified_dateutc": "2026-06-25T21:39:03.7327222+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.